Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.defReg
Class EPPDefRegRenewCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPRenewCmd
              com.verisign.epp.codec.defReg.EPPDefRegRenewCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPDefRegRenewCmd

extends EPPRenewCmd

Represents an EPP DefReg <renew> command, which provides a transform operation that allows a client to extend the validity period of a defReg object.In addition to the standard EPP command elements, the <renew> command MUST contain a <defReg:renew> element that identifies the defReg namespace and the location of the defReg schema. The <defReg:renew> element SHALL contain the following child elements:

- A <defReg:roid> element that contains the fully defReg roid of the object whose validity period is to be extended. Use `getRoid` and `setRoid` to get and set the element.
- A <defReg:curExpDate> element that contains the date on which the current validity period ends. This value ensures that repeated <renew> commands do not result in multiple unanticipated successful renewals. Use `getCurExpDate` and `setCurExpDate` to get and set the element.
- An OPTIONAL <defReg:period> element that contains the initial registration period of the defReg object. Use `getPeriod` and `setPeriod` to get and set the element. If return `null`, period has not been specified yet.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPDefRegRenewResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPDefRegRenewCmd()` Allocates a new `EPPDefRegRenewCmd` with default attribute values.
`EPPDefRegRenewCmd(java.lang.String aTransId, java.lang.String aRoid, java.util.Date aCurExpDate)` `EPPDefRegRenewCmd` constructor that takes the defReg name and the current expiration year as arguments.
`EPPDefRegRenewCmd(java.lang.String aTransId, java.lang.String aRoid, java.util.Date aCurExpDate, EPPDefRegPeriod aPeriod)` `EPPDefRegRenewCmd` constructor that takes all of the attributes of the renew command as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDefRegRenewCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDefRegRenewCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDefRegRenewCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDefRegRenewCmd` with this instance.
`java.util.Date` | `getCurExpDate()` Get current expiration date.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDefRegRenewCmd`.
`EPPDefRegPeriod` | `getPeriod()` Gets the registration period of the renew command in years.
`java.lang.String` | `getRoid()` Gets the defReg roid to renew.
`void` | `setCurExpDate(java.util.Date newCurExpDate)` Set current expiration date.
`void` | `setPeriod(EPPDefRegPeriod aPeriod)` Sets the registration period of the renew command in years.
`void` | `setRoid(java.lang.String aRoid)` Sets the defReg roid to renew.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPRenewCmd
`doGenDecode, doGenEncode, getType`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPDefRegRenewCmd

    public EPPDefRegRenewCmd()

  Allocates a new `EPPDefRegRenewCmd` with default attribute values. the defaults include the following:
  - roid is set to `null`
  - period is set to `1 year`
  - current expiration date to `null`
  The name and current expiration year must be set before invoking `encode`.

### EPPDefRegRenewCmd

    public EPPDefRegRenewCmd(java.lang.String aTransId,
                             java.lang.String aRoid,
                             java.util.Date aCurExpDate)

  `EPPDefRegRenewCmd` constructor that takes the defReg name and the current expiration year as arguments. The period will default to 1 year.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aRoid` - DefReg name to renew.
    `aCurExpDate` - The current expiration date of the defReg

### EPPDefRegRenewCmd

    public EPPDefRegRenewCmd(java.lang.String aTransId,
                             java.lang.String aRoid,
                             java.util.Date aCurExpDate,
                             EPPDefRegPeriod aPeriod)

  `EPPDefRegRenewCmd` constructor that takes all of the attributes of the renew command as arguments.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aRoid` - DefReg name to renew.
    `aCurExpDate` - The current expiration date of the defReg.
    `aPeriod` - Registration period in years.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPDefRegRenewCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPDefRegMapFactory.NS`

### getRoid

    public java.lang.String getRoid()

  Gets the defReg roid to renew.

  Returns:
    DefReg Roid if defined; `null` otherwise.

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets the defReg roid to renew.

  Parameters:
    `aRoid` - DefReg Roid

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPDefRegRenewCmd` with this instance.

  Overrides:
    `equals` in class `EPPRenewCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDefRegRenewCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPCommand`
  Returns:
    clone of `EPPDefRegRenewCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getCurExpDate

    public java.util.Date getCurExpDate()

  Get current expiration date.

  Returns:
    java.util.Date

### getPeriod

    public EPPDefRegPeriod getPeriod()

  Gets the registration period of the renew command in years.

  Returns:
    Registration Period in years.

### setCurExpDate

    public void setCurExpDate(java.util.Date newCurExpDate)

  Set current expiration date.

  Parameters:
    `newCurExpDate` - java.util.Date

### setPeriod

    public void setPeriod(EPPDefRegPeriod aPeriod)

  Sets the registration period of the renew command in years.

  Parameters:
    `aPeriod` - Registration Period in years.

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPDefRegRenewCmd` instance.

  Specified by:
    `doEncode` in class `EPPRenewCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPDefRegRenewCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPDefRegRenewCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPDefRegRenewCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPRenewCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPDefRegRenewCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.